Page MenuHomePhabricator

1.35.0-wmf.23 deployment blockers
Closed, ResolvedPublicRelease

Details

Backup Conductor
hashar
Release Version
1.35.0-wmf.23
Release Date
Mar 9 2020, 12:00 AM

2020 week 11 1.35-wmf.23 Changes wmf/1.35.0-wmf.23

This MediaWiki Train Deployment is scheduled for the week of Monday, March 9th:

Monday March 9thTuesday, March 10thWednesday, March 11thThursday, March 12thFriday
Backports only.Branch wmf.23 and deploy to Group 0 Wikis.Deploy wmf.23 to Group 1 Wikis.Deploy wmf.23 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.23 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.22
Next: 1.35.0-wmf.24

Event Timeline

mmodell created this task.Sep 25 2019, 10:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 10:14 PM
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: hashar.
brennen moved this task from Backlog to Next on the User-brennen board.
brennen moved this task from Next to In Progress on the User-brennen board.Mar 10 2020, 3:13 PM

Mentioned in SAL (#wikimedia-operations) [2020-03-10T16:50:04Z] <brennen> starting branch cut for wmf/1.35.0-wmf.23 - T233871

Group0 is currently on wmf.23.

scap sync "testwiki to php-1.35.0-wmf.23 and rebuild l10n cache" took a long time to complete:

...
20:39:06 Finished scap-cdb-rebuild (duration: 91m 00s)
20:39:06 Started sync_wikiversions
20:39:06 Compiled /srv/mediawiki-staging/wikiversions.json to /srv/mediawiki-staging/wikiversions.php
sync_wikiversions: 100% (ok: 445; fail: 0; left: 0)  
20:39:13 Finished sync_wikiversions (duration: 00m 07s)
20:39:13 Running refreshMessageBlobs.php for each wiki
20:39:13 Check php-fpm cache...
20:39:22 Finished scap: testwiki to php-1.35.0-wmf.23 and rebuild l10n cache (duration: 163m 37s)

I manually generated the deploy notes with ./makedeploynotes.py 1.35.0-wmf.22 1.35.0-wmf.23 | tee > ~/1.35.0-wmf.23.txt

@Krinkle do T247484 or T247466 seem serious enough to prompt a rollback at this stage, or just block at group1?

For T247484, I defer to Analytics (EventBus) and CPT (MW-API) in terms of impact of those logs being incomplete. I suspect it might be okay for a day on group1.

For T247466, I suspect not as non-Wikipedia wikis interact very little with wikidata as I understand it but I could be wrong. However if we find more cases on Commons and Wikidata where pages can't be opened or edited, then I think we should rollback indeed.

Still blocked as of this writing, not likely to move forward during this US workday. I'll see where things are at at 06:00 local when the cat wakes me up for breakfast.

hashar added a subscriber: hashar.

It is no more blocked!!!! I will push 1.35.0-wmf.23 to the rest of the wikis.

[14:06:27] <logmsgbot> !log hashar@deploy1001 rebuilt and synchronized wikiversions files: all wikis to 1.35.0-wmf.23

hashar closed this task as Resolved.Mar 18 2020, 2:46 PM

Logstash does not show any new concerning messages.

During/after the deployment memcache had:

  • 5 minutes spike of get requests from 550k > 650k
  • 30 minutes raise of set requests from 20k to 25k

I guess that is just caches being populated.

I am claiming 1.35.0-wmf.23 to be fully deployed.